<!--
// © University of Southampton IT Innovation Centre, 2018
//
// Copyright in this software belongs to University of Southampton
// IT Innovation Centre of Gamma House, Enterprise Road, 
// Chilworth Science Park, Southampton, SO16 7NS, UK.
//
// This software may not be used, sold, licensed, transferred, copied
// or reproduced in whole or in part in any manner or form or in or
// on any media by any person other than in accordance with the terms
// of the Licence Agreement supplied with the software, or otherwise
// without the prior written consent of the copyright owners.
//
// This software is distributed WITHOUT ANY WARRANTY, without even the
// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE, except where stated in the Licence Agreement supplied with
// the software.
//
//      Created By :            Simon Crowle
//      Created Date :          20-06-2018
//      Created for Project :   FLAME
-->

© University of Southampton IT Innovation Centre, 2018

# Welcome to the CLMC documentation

You can find a number of different articles in this part of the CLMC project that provide a variety of perspectives and different levels of guidance to you. This page provides an outline of what is currently available and a synopsis of each article.

| Article | Synopsis |
| --- | --- |
| [Service Management and Control Decisions](./articles/service-management-decisions.md) | In this article we present some of the high-level requirements of the CLMC with respect to how it supports management and control decisions for platform and media service providers. Scenarios and KPI related questions are used to illustrate requirements. |
| [The CLMC Information Model](./articles/clmc-information-model.md) |  Read this to learn about media services are conceptually modelled and identified within the FLAME platform. From this point, you will then go on to understand how this model relates to measurements observed of both media services and the platform resources used by them. |
| [Monitoring](./articles/monitoring.md) | An article focussed more on the monitoring aspect of the CLMC, but quite a lot of overlap with the above. |
| [CLMC - Network & media service measurements aggregation](./articles/aggregation.md) | This is a technical note describing how network and service response time measurements could be aggregated together for the purpose of measuring service round-trip time |
| [CLMC - Measuring E2E Media Service Performance](./articles/Measuring-E2E-MS-Performance.md) | Complementary to the above technical note, this article offers definitions and a model-based approach to measuring end-to-end delay and round-trip time. It concludes with proof-of-concept INFLUX queries. |
| [Round Trip Time of a Service Request](./articles/total-service-request-delay.md) | The most recent technical discussion on round-trip time calculation, providing more formal mathematical expression of the calculation |
| [CLMC and FLIPS integration](./articles/flips-integration.md) | In this technical note we explore possible technical integrations that would allow the CLMC to capture metrics from the FLIPS service. | 